package ru.nbch.credit_tracker.service.signal;

import org.springframework.stereotype.Service;
import ru.nbch.credit_tracker.entities.dto.Hit;
import ru.nbch.credit_tracker.mapper.signal.HitsMapper;

import java.util.List;

@Service
public class HitsService {

    private final HitsMapper mapper;

    public HitsService(HitsMapper mapper) {
        this.mapper = mapper;
    }

    public void insertHits(List<Hit> hits) {
        mapper.insertHits(hits);
    }
}
